Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.codec.png
Class PNGRegistryEntry

    java.lang.Object
      org.apache.batik.ext.awt.image.spi.AbstractRegistryEntry
          org.apache.batik.ext.awt.image.spi.MagicNumberRegistryEntry
              org.apache.batik.ext.awt.image.codec.png.PNGRegistryEntry

All Implemented Interfaces:
  ErrorConstants, RegistryEntry, StreamRegistryEntry

    public class PNGRegistryEntry

extends MagicNumberRegistryEntry

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.ext.awt.image.spi.MagicNumberRegistryEntry
`MagicNumberRegistryEntry.MagicNumber`

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.spi.MagicNumberRegistryEntry
`PRIORITY`

Fields inherited from interface org.apache.batik.ext.awt.image.spi.ErrorConstants
`ERR_STREAM_FORMAT_UNREADABLE, ERR_STREAM_UNREADABLE, ERR_URL_FORMAT_UNREADABLE, ERR_URL_UNINTERPRETABLE, ERR_URL_UNREACHABLE, RESOURCES`

Constructor Summary
`PNGRegistryEntry()`

Method Summary
`Filter` | `handleStream(InputStream inIS, ParsedURL origURL, boolean needRawData)` Decode the Stream into a RenderableImage

Methods inherited from class org.apache.batik.ext.awt.image.spi.MagicNumberRegistryEntry
`getReadlimit, isCompatibleStream`

Methods inherited from class org.apache.batik.ext.awt.image.spi.AbstractRegistryEntry
`getFormatName, getMimeTypes, getPriority, getStandardExtensions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.ext.awt.image.spi.RegistryEntry
`getFormatName, getMimeTypes, getPriority, getStandardExtensions`

Constructor Detail

### PNGRegistryEntry

    public PNGRegistryEntry()

Method Detail

### handleStream

    public Filter handleStream(InputStream inIS,
                               ParsedURL origURL,
                               boolean needRawData)

  Decode the Stream into a RenderableImage

  Parameters:
    `inIS` - The input stream that contains the image.
    `origURL` - The original URL, if any, for documentation purposes only. This may be null.
    `needRawData` - If true the image returned should not have any default color correction the file may specify applied.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.